Package org.apache.sysds.runtime.io

# Class TensorReader

java.lang.Object
org.apache.sysds.runtime.io.TensorReader

Direct Known Subclasses:
  `TensorReaderBinaryBlock`, `TensorReaderTextCell`

public abstract class TensorReader extends Object

## Constructor Summary

Constructors
Constructor
Description
`TensorReader()`

## Method Summary

Modifier and Type
Method
Description
`abstract TensorBlock`
`readTensorFromHDFS(String fname, long[] dims, int blen, Types.ValueType[] schema)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TensorReader

public TensorReader()

## Method Details

### readTensorFromHDFS

public abstract TensorBlock readTensorFromHDFS(String fname, long[] dims, int blen, Types.ValueType[] schema) throws IOException, DMLRuntimeException

Throws:
  `IOException`
  `DMLRuntimeException`